package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_进展情况(跟督办关系 项目需要按照固定时间内,填写进展情况否则生成督办单)对象 zsyz_jzqk
 * 
 * @author boman
 * @date 2023-02-25
 */
public class ZsyzJzqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    //@Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    //@Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    //@Excel(name = "项目名称")
    private String xmmc;

    /** 部门id */
    //@Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    //@Excel(name = "部门名称")
    private String deptName;

    /** 洽谈人 */
    @Excel(name = "洽谈人")
    private String qtrName;

    /** 洽谈日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "洽谈日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qtTime;

    /** 洽谈人性质 */
    @Excel(name = "洽谈人性质")
    private String qtrxz;

    /** 洽谈人单位职务 */
    @Excel(name = "洽谈人单位职务")
    private String qtrdwzw;

    /** 洽谈人电话 */
    @Excel(name = "洽谈人电话")
    private String phone;

    /** 进展说明时限 */
    @Excel(name = "进展说明时限")
    private String blsx;

    /** 督办事项 */
    @Excel(name = "督办事项")
    private String dbsx;

    /** 进展情况 */
    @Excel(name = "进展情况")
    private String jzqk;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String czwt;

    /** 解决建议 */
    @Excel(name = "解决建议")
    private String jjjy;

    /** 下一步工作计划 */
    @Excel(name = "下一步工作计划")
    private String gzjh;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setQtrName(String qtrName) 
    {
        this.qtrName = qtrName;
    }

    public String getQtrName() 
    {
        return qtrName;
    }
    public void setQtTime(Date qtTime) 
    {
        this.qtTime = qtTime;
    }

    public Date getQtTime() 
    {
        return qtTime;
    }
    public void setQtrxz(String qtrxz) 
    {
        this.qtrxz = qtrxz;
    }

    public String getQtrxz() 
    {
        return qtrxz;
    }
    public void setQtrdwzw(String qtrdwzw) 
    {
        this.qtrdwzw = qtrdwzw;
    }

    public String getQtrdwzw() 
    {
        return qtrdwzw;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setBlsx(String blsx) 
    {
        this.blsx = blsx;
    }

    public String getBlsx() 
    {
        return blsx;
    }
    public void setDbsx(String dbsx) 
    {
        this.dbsx = dbsx;
    }

    public String getDbsx() 
    {
        return dbsx;
    }
    public void setJzqk(String jzqk) 
    {
        this.jzqk = jzqk;
    }

    public String getJzqk() 
    {
        return jzqk;
    }
    public void setCzwt(String czwt) 
    {
        this.czwt = czwt;
    }

    public String getCzwt() 
    {
        return czwt;
    }
    public void setJjjy(String jjjy) 
    {
        this.jjjy = jjjy;
    }

    public String getJjjy() 
    {
        return jjjy;
    }
    public void setGzjh(String gzjh) 
    {
        this.gzjh = gzjh;
    }

    public String getGzjh() 
    {
        return gzjh;
    }

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("qtrName", getQtrName())
            .append("qtTime", getQtTime())
            .append("qtrxz", getQtrxz())
            .append("qtrdwzw", getQtrdwzw())
            .append("phone", getPhone())
            .append("blsx", getBlsx())
            .append("dbsx", getDbsx())
            .append("jzqk", getJzqk())
            .append("czwt", getCzwt())
            .append("jjjy", getJjjy())
            .append("gzjh", getGzjh())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
